CUTLASS: cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail Struct Reference

Internal details made public to facilitate introspection Iterations along each dimension (concept: PitchLinearShape)

`#include <pitch_linear_thread_map.h>`

## Public Types
using | WarpThreadArrangement = WarpThreadArrangement_
| Fixed arrangement of threads within a warp (units of threads). More...
using | ShapeInAccesses = layout::PitchLinearShape< Shape::kContiguous/kElementsPerAccess, Shape::kStrided >
| Compute the 'shape' of the overall tile in units of vectors. More...
using | WarpAccessIterations = layout::PitchLinearShape< ShapeInAccesses::kContiguous/WarpThreadArrangement::kContiguous, ShapeInAccesses::kStrided/WarpThreadArrangement::kStrided >
using | WarpArrangement = layout::PitchLinearShape< kWarpsContiguous, kWarpsStrided >
| Arrangement of warps within a threadblock-scoped tile. More...

## Static Public Attributes
static int const | kWarpSize = WarpThreadArrangement::kCount
| Number of threads per warp. More...
static int const | kWarpCount = kThreads / kWarpSize
| Number of participating warps. More...
static int const | kWarpsStrided
static int const | kWarpsContiguous

## Member Typedef Documentation

template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::ShapeInAccesses = layout::PitchLinearShape< Shape::kContiguous / kElementsPerAccess, Shape::kStrided >

template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::WarpAccessIterations = layout::PitchLinearShape< ShapeInAccesses::kContiguous / WarpThreadArrangement::kContiguous, ShapeInAccesses::kStrided / WarpThreadArrangement::kStrided >

template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::WarpArrangement = layout::PitchLinearShape< kWarpsContiguous, kWarpsStrided >

template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::WarpThreadArrangement = WarpThreadArrangement_

## Member Data Documentation

template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::kWarpCount = kThreads / kWarpSize
| static

template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::kWarpsContiguous
| static

Initial value:
=
(kWarpCount > WarpAccessIterations::kStrided ?
WarpAccessIterations::kContiguous / kWarpsStrided : 1)
template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::kWarpSize = WarpThreadArrangement::kCount
| static

template<typename Shape_ , int Threads, typename WarpThreadArrangement_ , int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearWarpStripedThreadMap< Shape_, Threads, WarpThreadArrangement_, ElementsPerAccess >::Detail::kWarpsStrided
| static

Initial value:
=
(WarpAccessIterations::kStrided >= kWarpCount
? kWarpCount : (kWarpCount / WarpAccessIterations::kStrided))

The documentation for this struct was generated from the following file:

- pitch_linear_thread_map.h